Bug 242420 - security/acmetool: Unbreak on aarch64
Summary: security/acmetool: Unbreak on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Oleksii Samorukov
URL:
Keywords: buildisok
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2019-12-04 12:21 UTC by Dmitri Goutnik
Modified: 2020-06-07 13:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (samm)


Attachments
acmetool-0.0.67_1.patch (1.82 KB, patch)
2019-12-04 12:21 UTC, Dmitri Goutnik
dmgk: maintainer-approval? (samm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-12-04 12:21:27 UTC
Created attachment 209685 [details]
acmetool-0.0.67_1.patch

===>  Building acmetool from ./cmd/acmetool
# github.com/hlandau/acme/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:50:24: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:55:27: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: undefined: CapRights
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body

http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/acmetool-0.0.67.log

Unbreak by updating golang.org/x/sys to 33540a1f6037 which adds support for freebsd/arm64.

Tested on 12.1-STABLE/arm64 and 12.1-RELEASE/amd64.
Comment 1 Automation User 2019-12-19 00:13:43 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/104201491
Comment 2 commit-hook freebsd_committer 2020-02-22 12:55:25 UTC
A commit references this bug:

Author: dmgk
Date: Sat Feb 22 12:55:13 UTC 2020
New revision: 526770
URL: https://svnweb.freebsd.org/changeset/ports/526770

Log:
  security/acmetool: Unbreak on aarch64

  PR:		242420
  Approved by:	samm (maintainer timeout, >2 months)

Changes:
  head/security/acmetool/Makefile
  head/security/acmetool/distinfo
Comment 3 Mikael Urankar freebsd_committer 2020-05-27 12:38:43 UTC
Reopen, it's broken again:
===>  Building for acmetool-0.2.1
(cd /usr/ports/security/acmetool/work/src/github.com/hlandau/acmetool;  for t in ./cmd/acmetool; do  out=$(/usr/bin/basename $(echo ${t} |  /usr/bin/sed -Ee 's/^[^:]*:([^:]+).*$/\1/' -e 's/^\.$/acmetool/'));  pkg=$(echo ${t} |  /usr/bin/sed -Ee 's/^([^:]*).*$/\1/' -e 's/^acmetool$/./');  echo "===>  Building ${out} from ${pkg}";  /usr/bin/env XDG_DATA_HOME=/usr/ports/security/acmetool/work  XDG_CONFIG_HOME=/usr/ports/security/acmetool/work  HOME=/usr/ports/security/acmetool/work PATH=/usr/ports/security/acmetool/work/.bin:/root/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin:/usr/local/sbin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444" CGO_ENABLED=1  CGO_CFLAGS="-I/usr/local/include"  CGO_LDFLAGS="-L/usr/local/lib"  GOARM= GOPATH="/usr/ports/security/acmetool/work"  GOBIN="" /usr/local/bin/go build -ldflags " -X github.com/hlandau/acmetool/vendor/github.com/hlandau/acmetool/hooks.DefaultPath=/usr/local/libexec/acme/hooks  -X github.com/hlandau/acmetool/vendor/github.com/hlandau/acmetool/storage.RecommendedPath=/var/db/acme  -X github.com/hlandau/acmetool/vendor/github.com/hlandau/buildinfo.BuildInfo=acmetool-v0.2.1-freebsd-ports" -v -buildmode=exe  -o /usr/ports/security/acmetool/work/bin/${out}  ${pkg};  done)
===>  Building acmetool from ./cmd/acmetool
github.com/hlandau/acmetool/vendor/golang.org/x/sys/unix
# github.com/hlandau/acmetool/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:50:24: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:55:27: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: undefined: CapRights
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: too many errors
Comment 4 commit-hook freebsd_committer 2020-06-07 13:28:00 UTC
A commit references this bug:

Author: mikael
Date: Sun Jun  7 13:27:17 UTC 2020
New revision: 538156
URL: https://svnweb.freebsd.org/changeset/ports/538156

Log:
  security/acmetool: Unbreak on aarch64

  Reapply r526770

  PR:		242420

Changes:
  head/security/acmetool/Makefile
  head/security/acmetool/distinfo